Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class ItemType

    java.lang.Object
      portlets.compoze.groupware.ItemType

All Implemented Interfaces:
  java.io.Serializable

public class ItemType
extends java.lang.Object
implements java.io.Serializable

This class represents the item type.

See Also:
  Serialized Form

Field Summary
`static ItemType` | `APPOINTMENT` This value represents an 'appointment' item type.
`static ItemType` | `CONTACT` This value represents a 'meeting response' item type.
`static ItemType` | `COUNTER_PROPOSAL_DECLINED` This value represents an 'counter proposal declined' item type.
`static ItemType` | `COUNTERED_INVITATION` This value represents an 'countered invitation' item type.
`static ItemType` | `COUNTERED_MEETING_INVITATION` This value represents an 'countered meeting invitation' item type.
`static ItemType` | `DELEGATED_INVITATION` This value represents an 'delegated invitation' item type.
`static ItemType` | `DELIVERY_RECEIPT` This value represents a 'delivery receipt' item type.
`static ItemType` | `INVITATION_DELEGATE` This value represents an 'invitation delegate' item type.
`static ItemType` | `INVITATION_INFO_REQUEST` This value represents an 'request invitation info' item type.
`static ItemType` | `MAIL` This value represents a 'mail' item type.
`static ItemType` | `MEETING_CANCELLATION` This value represents a 'delivery receipt' item type.
`static ItemType` | `MEETING_CONFIRMED` This value represents an 'meeting confirmed' item type.
`static ItemType` | `MEETING_DELEGATED_NOTIFICATION` This value represents an 'meeting delegated' item type.
`static ItemType` | `MEETING_REQUEST` This value represents a 'meeting request' item type.
`static ItemType` | `MEETING_REQUEST_ACCEPTED` This value represents an 'meeting request accepted' item type.
`static ItemType` | `MEETING_REQUEST_DECLINED` This value represents an 'meeting request declined' item type.
`static ItemType` | `MEETING_REQUEST_TENTATIVELY_ACCEPTED` This value represents an 'meeting request tentatively accepted' item type.
`static ItemType` | `MEETING_RESPONSE_ACCEPTED` This value represents a 'meeting response accepted' item type.
`static ItemType` | `MEETING_RESPONSE_DECLINED` This value represents a 'meeting response declined' item type.
`static ItemType` | `MEETING_RESPONSE_TENTATIVELY_ACCEPTED` This value represents a 'meeting response tentatively accepted' item type.
`static ItemType` | `RESCHEDULED_MEETING` This value represents an 'rescheduled meeting' item type.
`static ItemType` | `RETURN_RECEIPT` This value represents a 'return receipt' item type.
`static ItemType` | `TRACE_REPORT` This value represents an 'trace report' item type.
`static ItemType` | `UNDELIVERABLE` This value represents an 'undeliverable' item type.
`static ItemType` | `UPDATED_INVITATION_INFO` This value represents an 'updated invitation info' item type.
`static int` | `VALUE_APPOINTMENT` This value represents the 'appointment' value.
`static int` | `VALUE_CONTACT` This value represents the 'contact' value.
`static int` | `VALUE_COUNTER_PROPOSAL_DECLINED` This value represents the 'counter proposal declined' value.
`static int` | `VALUE_COUNTERED_INVITATION` This value represents the 'countered invitation' value.
`static int` | `VALUE_COUNTERED_MEETING_INVITATION` This value represents the 'countered meeting invitation' value.
`static int` | `VALUE_DELEGATED_INVITATION` This value represents the 'delegated invitation' value.
`static int` | `VALUE_DELIVERY_RECEIPT` This value represents the 'delivery receipt' value.
`static int` | `VALUE_INVITATION_DELEGATE` This value represents the 'invitation delegate' value.
`static int` | `VALUE_INVITATION_INFO_REQUEST` This value represents the 'invitation info request' value.
`static int` | `VALUE_MAIL` This value represents the 'mail' value.
`static int` | `VALUE_MEETING_CANCELLATION` This value represents the 'meeting cancellation' value.
`static int` | `VALUE_MEETING_CONFIRMED` This value represents the 'meeting confirmed' value.
`static int` | `VALUE_MEETING_DELEGATED_NOTIFICATION` This value represents the 'meeting delegated' value.
`static int` | `VALUE_MEETING_REQUEST` This value represents the 'meeting request' value.
`static int` | `VALUE_MEETING_REQUEST_ACCEPTED` This value represents the 'meeting request accepted' value.
`static int` | `VALUE_MEETING_REQUEST_DECLINED` This value represents the 'meeting request declined' value.
`static int` | `VALUE_MEETING_REQUEST_TENTATIVELY_ACCEPTED` This value represents the 'meeting request tenatively accepted' value.
`static int` | `VALUE_MEETING_RESPONSE_ACCEPTED` This value represents the 'meeting response accepted' value.
`static int` | `VALUE_MEETING_RESPONSE_DECLINED` This value represents the 'meeting response declined' value.
`static int` | `VALUE_MEETING_RESPONSE_TENTATIVELY_ACCEPTED` This value represents the 'meeting response tenatively accepted' value.
`static int` | `VALUE_RESCHEDULED_MEETING` This value represents the 'rescheduled meeting' value.
`static int` | `VALUE_RETURN_RECEIPT` This value represents the 'return receipt' value.
`static int` | `VALUE_TRACE_REPORT` This value represents the 'trace report' value.
`static int` | `VALUE_UNDELIVERABLE` This value represents the 'undeliverable' value.
`static int` | `VALUE_UPDATED_INVITATION_INFO` This value represents the 'updated invitation info' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static ItemType` | `get(int iValue)` Gets the item type by the value.
`static java.util.List` | `getItemTypes()` Gets the list of item type objects.
`java.lang.String` | `getKey()` Gets the resource key (message name) for i18n.
`java.lang.String` | `getSubjectKeyName()` Gets the subject resource key name (message name) for i18n.
`int` | `getValue()` Gets the value of the item type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_MAIL

    public static final int VALUE_MAIL

  This value represents the 'mail' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_REQUEST

    public static final int VALUE_MEETING_REQUEST

  This value represents the 'meeting request' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_RESPONSE_ACCEPTED

    public static final int VALUE_MEETING_RESPONSE_ACCEPTED

  This value represents the 'meeting response accepted' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_RESPONSE_TENTATIVELY_ACCEPTED

    public static final int VALUE_MEETING_RESPONSE_TENTATIVELY_ACCEPTED

  This value represents the 'meeting response tenatively accepted' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_RESPONSE_DECLINED

    public static final int VALUE_MEETING_RESPONSE_DECLINED

  This value represents the 'meeting response declined' value.

  See Also:
    Constant Field Values

### VALUE_CONTACT

    public static final int VALUE_CONTACT

  This value represents the 'contact' value.

  See Also:
    Constant Field Values

### VALUE_RETURN_RECEIPT

    public static final int VALUE_RETURN_RECEIPT

  This value represents the 'return receipt' value.

  See Also:
    Constant Field Values

### VALUE_DELIVERY_RECEIPT

    public static final int VALUE_DELIVERY_RECEIPT

  This value represents the 'delivery receipt' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_CANCELLATION

    public static final int VALUE_MEETING_CANCELLATION

  This value represents the 'meeting cancellation' value.

  See Also:
    Constant Field Values

### VALUE_UNDELIVERABLE

    public static final int VALUE_UNDELIVERABLE

  This value represents the 'undeliverable' value.

  See Also:
    Constant Field Values

### VALUE_TRACE_REPORT

    public static final int VALUE_TRACE_REPORT

  This value represents the 'trace report' value.

  See Also:
    Constant Field Values

### VALUE_COUNTERED_MEETING_INVITATION

    public static final int VALUE_COUNTERED_MEETING_INVITATION

  This value represents the 'countered meeting invitation' value.

  See Also:
    Constant Field Values

### VALUE_RESCHEDULED_MEETING

    public static final int VALUE_RESCHEDULED_MEETING

  This value represents the 'rescheduled meeting' value.

  See Also:
    Constant Field Values

### VALUE_COUNTER_PROPOSAL_DECLINED

    public static final int VALUE_COUNTER_PROPOSAL_DECLINED

  This value represents the 'counter proposal declined' value.

  See Also:
    Constant Field Values

### VALUE_COUNTERED_INVITATION

    public static final int VALUE_COUNTERED_INVITATION

  This value represents the 'countered invitation' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_REQUEST_ACCEPTED

    public static final int VALUE_MEETING_REQUEST_ACCEPTED

  This value represents the 'meeting request accepted' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_REQUEST_TENTATIVELY_ACCEPTED

    public static final int VALUE_MEETING_REQUEST_TENTATIVELY_ACCEPTED

  This value represents the 'meeting request tenatively accepted' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_REQUEST_DECLINED

    public static final int VALUE_MEETING_REQUEST_DECLINED

  This value represents the 'meeting request declined' value.

  See Also:
    Constant Field Values

### VALUE_APPOINTMENT

    public static final int VALUE_APPOINTMENT

  This value represents the 'appointment' value.

  See Also:
    Constant Field Values

### VALUE_INVITATION_DELEGATE

    public static final int VALUE_INVITATION_DELEGATE

  This value represents the 'invitation delegate' value.

  See Also:
    Constant Field Values

### VALUE_DELEGATED_INVITATION

    public static final int VALUE_DELEGATED_INVITATION

  This value represents the 'delegated invitation' value.

  See Also:
    Constant Field Values

### VALUE_INVITATION_INFO_REQUEST

    public static final int VALUE_INVITATION_INFO_REQUEST

  This value represents the 'invitation info request' value.

  See Also:
    Constant Field Values

### VALUE_UPDATED_INVITATION_INFO

    public static final int VALUE_UPDATED_INVITATION_INFO

  This value represents the 'updated invitation info' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_CONFIRMED

    public static final int VALUE_MEETING_CONFIRMED

  This value represents the 'meeting confirmed' value.

  See Also:
    Constant Field Values

### VALUE_MEETING_DELEGATED_NOTIFICATION

    public static final int VALUE_MEETING_DELEGATED_NOTIFICATION

  This value represents the 'meeting delegated' value.

  See Also:
    Constant Field Values

### MAIL

    public static final ItemType MAIL

  This value represents a 'mail' item type.

### MEETING_REQUEST

    public static final ItemType MEETING_REQUEST

  This value represents a 'meeting request' item type.

### MEETING_RESPONSE_ACCEPTED

    public static final ItemType MEETING_RESPONSE_ACCEPTED

  This value represents a 'meeting response accepted' item type.

### MEETING_RESPONSE_TENTATIVELY_ACCEPTED

    public static final ItemType MEETING_RESPONSE_TENTATIVELY_ACCEPTED

  This value represents a 'meeting response tentatively accepted' item type.

### MEETING_RESPONSE_DECLINED

    public static final ItemType MEETING_RESPONSE_DECLINED

  This value represents a 'meeting response declined' item type.

### CONTACT

    public static final ItemType CONTACT

  This value represents a 'meeting response' item type.

### RETURN_RECEIPT

    public static final ItemType RETURN_RECEIPT

  This value represents a 'return receipt' item type.

### DELIVERY_RECEIPT

    public static final ItemType DELIVERY_RECEIPT

  This value represents a 'delivery receipt' item type.

### MEETING_CANCELLATION

    public static final ItemType MEETING_CANCELLATION

  This value represents a 'delivery receipt' item type.

### UNDELIVERABLE

    public static final ItemType UNDELIVERABLE

  This value represents an 'undeliverable' item type.

### TRACE_REPORT

    public static final ItemType TRACE_REPORT

  This value represents an 'trace report' item type.

### COUNTERED_MEETING_INVITATION

    public static final ItemType COUNTERED_MEETING_INVITATION

  This value represents an 'countered meeting invitation' item type.

### RESCHEDULED_MEETING

    public static final ItemType RESCHEDULED_MEETING

  This value represents an 'rescheduled meeting' item type.

### COUNTER_PROPOSAL_DECLINED

    public static final ItemType COUNTER_PROPOSAL_DECLINED

  This value represents an 'counter proposal declined' item type.

### COUNTERED_INVITATION

    public static final ItemType COUNTERED_INVITATION

  This value represents an 'countered invitation' item type.

### MEETING_REQUEST_ACCEPTED

    public static final ItemType MEETING_REQUEST_ACCEPTED

  This value represents an 'meeting request accepted' item type.

### MEETING_REQUEST_TENTATIVELY_ACCEPTED

    public static final ItemType MEETING_REQUEST_TENTATIVELY_ACCEPTED

  This value represents an 'meeting request tentatively accepted' item type.

### MEETING_REQUEST_DECLINED

    public static final ItemType MEETING_REQUEST_DECLINED

  This value represents an 'meeting request declined' item type.

### APPOINTMENT

    public static final ItemType APPOINTMENT

  This value represents an 'appointment' item type.

### INVITATION_DELEGATE

    public static final ItemType INVITATION_DELEGATE

  This value represents an 'invitation delegate' item type.

### DELEGATED_INVITATION

    public static final ItemType DELEGATED_INVITATION

  This value represents an 'delegated invitation' item type.

### INVITATION_INFO_REQUEST

    public static final ItemType INVITATION_INFO_REQUEST

  This value represents an 'request invitation info' item type.

### UPDATED_INVITATION_INFO

    public static final ItemType UPDATED_INVITATION_INFO

  This value represents an 'updated invitation info' item type.

### MEETING_CONFIRMED

    public static final ItemType MEETING_CONFIRMED

  This value represents an 'meeting confirmed' item type.

### MEETING_DELEGATED_NOTIFICATION

    public static final ItemType MEETING_DELEGATED_NOTIFICATION

  This value represents an 'meeting delegated' item type.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the resource key (message name) for i18n.

  Returns:
    the key

### getSubjectKeyName

    public java.lang.String getSubjectKeyName()

  Gets the subject resource key name (message name) for i18n.

  Returns:
    the subject key name

### getValue

    public int getValue()

  Gets the value of the item type.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static ItemType get(int iValue)

  Gets the item type by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching item type or `null` if not found

### getItemTypes

    public static java.util.List getItemTypes()

  Gets the list of item type objects.

  Returns:
    the list of `ItemType` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.